version: '3'
services:
  database:
    image: postgres:9.6
    container_name: wallabag_db
    environment:
            - POSTGRES_PASSWORD=mypassword
            - POSTGRES_USER=postgres
  wallabag:
    image: wallabag/wallabag
    container_name: wallabag
    depends_on:
            - database
    ports:
      - "8081:80"
    environment:
            - POSTGRES_PASSWORD=mypassword
            - POSTGRES_USER=postgres
            - SYMFONY__ENV__DATABASE_DRIVER=pdo_pgsql
            - SYMFONY__ENV__DATABASE_HOST=wallabag_db
            - SYMFONY__ENV__DATABASE_PORT=5432
            - SYMFONY__ENV__DATABASE_NAME=wallabag
            - SYMFONY__ENV__DATABASE_USER=ghostjoad
            - SYMFONY__ENV__DATABASE_PASSWORD=wallapass
            - SYMFONY__ENV__DOMAIN_NAME="https://my_site.com"
